Subject: Re: linux-next: manual merge of the staging tree with the vfs-miklos tree

From: Greg KH <[email-masked]>
Date: Wed, 28 Sep 2016 08:25:01 +0200

On Wed, Sep 28, 2016 at 03:00:22PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/lustre/lustre/llite/file.c
> 
> between commit:
> 
>   302d50e7203e ("switch generic_file_splice_read() to use of ->read_iter()")
> 
> from the vfs-miklos tree and commits:
> 
>   5b8a39c53a16 ("staging: lustre: llite: Replace write mutex with range lock")
>   ee5532436a7d ("staging: lustre: lov: remove LL_IOC_RECREATE_{FID, OBJ}")
> 
> from the staging tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Looks good to me, one of these days we will get lustre out of staging to
make this easier...

thanks,

greg k-h